uuid: 981c853a-e8b9-4479-bab4-969f349fd936
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_theme_settings
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'D7 theme settings'
source:
  plugin: d7_theme_settings
  constants:
    config_suffix: .settings
process:
  theme_name:
    -
      plugin: explode
      source: name
      delimiter: _
    -
      plugin: extract
      index:
        - 1
  configuration_name:
    -
      plugin: concat
      source:
        - '@theme_name'
        - constants/config_suffix
  toggle_logo:
    -
      plugin: get
      source: theme_settings/toggle_logo
  toggle_name:
    -
      plugin: get
      source: value/toggle_name
  toggle_slogan:
    -
      plugin: get
      source: value/toggle_slogan
  toggle_node_user_picture:
    -
      plugin: get
      source: value/toggle_node_user_picture
  toggle_comment_user_picture:
    -
      plugin: get
      source: value/toggle_comment_user_picture
  toggle_comment_user_verification:
    -
      plugin: get
      source: value/toggle_comment_user_verification
  toggle_favicon:
    -
      plugin: get
      source: value/toggle_favicon
  default_logo:
    -
      plugin: get
      source: value/default_logo
  logo_path:
    -
      plugin: get
      source: value/logo_path
  logo_upload:
    -
      plugin: get
      source: value/logo_upload
  default_favicon:
    -
      plugin: get
      source: value/default_favicon
  favicon_path:
    -
      plugin: get
      source: value/favicon_path
  favicon_mimetype:
    -
      plugin: get
      source: value/favicon_mimetype
destination:
  plugin: d7_theme_settings
migration_dependencies:
  required: {  }
  optional: {  }
